Package org.pushingpixels.substance.internal.inputmaps

# Class BaseInputMapSet.TreeActions

java.lang.Object
org.pushingpixels.substance.internal.inputmaps.BaseInputMapSet.TreeActions

Enclosing class:
  `BaseInputMapSet`

protected static class BaseInputMapSet.TreeActions extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`ADD_TO_SELECTION`
`static final String`
`CANCEL_EDITING`
`static final String`
`CLEAR_SELECTION`
`static final String`
`COLLAPSE`
`static final String`
`EXPAND`
`static final String`
`EXTEND_TO`
`static final String`
`MOVE_SELECTION_TO`
`static final String`
`MOVE_SELECTION_TO_PARENT`
`static final String`
`SCROLL_DOWN_CHANGE_LEAD`
`static final String`
`SCROLL_DOWN_CHANGE_SELECTION`
`static final String`
`SCROLL_DOWN_EXTEND_SELECTION`
`static final String`
`SCROLL_LEFT`
`static final String`
`SCROLL_LEFT_CHANGE_LEAD`
`static final String`
`SCROLL_LEFT_EXTEND_SELECTION`
`static final String`
`SCROLL_RIGHT`
`static final String`
`SCROLL_RIGHT_CHANGE_LEAD`
`static final String`
`SCROLL_RIGHT_EXTEND_SELECTION`
`static final String`
`SCROLL_UP_CHANGE_LEAD`
`static final String`
`SCROLL_UP_CHANGE_SELECTION`
`static final String`
`SCROLL_UP_EXTEND_SELECTION`
`static final String`
`SELECT_ALL`
`static final String`
`SELECT_CHILD`
`static final String`
`SELECT_CHILD_CHANGE_LEAD`
`static final String`
`SELECT_FIRST`
`static final String`
`SELECT_FIRST_CHANGE_LEAD`
`static final String`
`SELECT_FIRST_EXTEND_SELECTION`
`static final String`
`SELECT_LAST`
`static final String`
`SELECT_LAST_CHANGE_LEAD`
`static final String`
`SELECT_LAST_EXTEND_SELECTION`
`static final String`
`SELECT_NEXT`
`static final String`
`SELECT_NEXT_CHANGE_LEAD`
`static final String`
`SELECT_NEXT_EXTEND_SELECTION`
`static final String`
`SELECT_PARENT`
`static final String`
`SELECT_PARENT_CHANGE_LEAD`
`static final String`
`SELECT_PREVIOUS`
`static final String`
`SELECT_PREVIOUS_CHANGE_LEAD`
`static final String`
`SELECT_PREVIOUS_EXTEND_SELECTION`
`static final String`
`START_EDITING`
`static final String`
`TOGGLE`
`static final String`
`TOGGLE_AND_ANCHOR`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`TreeActions()`

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### SELECT_PREVIOUS

public static final String SELECT_PREVIOUS

See Also:
  - Constant Field Values

### SELECT_PREVIOUS_CHANGE_LEAD

public static final String SELECT_PREVIOUS_CHANGE_LEAD

See Also:
  - Constant Field Values

### SELECT_PREVIOUS_EXTEND_SELECTION

public static final String SELECT_PREVIOUS_EXTEND_SELECTION

See Also:
  - Constant Field Values

### SELECT_NEXT

public static final String SELECT_NEXT

See Also:
  - Constant Field Values

### SELECT_NEXT_CHANGE_LEAD

public static final String SELECT_NEXT_CHANGE_LEAD

See Also:
  - Constant Field Values

### SELECT_NEXT_EXTEND_SELECTION

public static final String SELECT_NEXT_EXTEND_SELECTION

See Also:
  - Constant Field Values

### SELECT_CHILD

public static final String SELECT_CHILD

See Also:
  - Constant Field Values

### SELECT_CHILD_CHANGE_LEAD

public static final String SELECT_CHILD_CHANGE_LEAD

See Also:
  - Constant Field Values

### SELECT_PARENT

public static final String SELECT_PARENT

See Also:
  - Constant Field Values

### SELECT_PARENT_CHANGE_LEAD

public static final String SELECT_PARENT_CHANGE_LEAD

See Also:
  - Constant Field Values

### SCROLL_UP_CHANGE_SELECTION

public static final String SCROLL_UP_CHANGE_SELECTION

See Also:
  - Constant Field Values

### SCROLL_UP_CHANGE_LEAD

public static final String SCROLL_UP_CHANGE_LEAD

See Also:
  - Constant Field Values

### SCROLL_UP_EXTEND_SELECTION

public static final String SCROLL_UP_EXTEND_SELECTION

See Also:
  - Constant Field Values

### SCROLL_DOWN_CHANGE_SELECTION

public static final String SCROLL_DOWN_CHANGE_SELECTION

See Also:
  - Constant Field Values

### SCROLL_DOWN_EXTEND_SELECTION

public static final String SCROLL_DOWN_EXTEND_SELECTION

See Also:
  - Constant Field Values

### SCROLL_DOWN_CHANGE_LEAD

public static final String SCROLL_DOWN_CHANGE_LEAD

See Also:
  - Constant Field Values

### SELECT_FIRST

public static final String SELECT_FIRST

See Also:
  - Constant Field Values

### SELECT_FIRST_CHANGE_LEAD

public static final String SELECT_FIRST_CHANGE_LEAD

See Also:
  - Constant Field Values

### SELECT_FIRST_EXTEND_SELECTION

public static final String SELECT_FIRST_EXTEND_SELECTION

See Also:
  - Constant Field Values

### SELECT_LAST

public static final String SELECT_LAST

See Also:
  - Constant Field Values

### SELECT_LAST_CHANGE_LEAD

public static final String SELECT_LAST_CHANGE_LEAD

See Also:
  - Constant Field Values

### SELECT_LAST_EXTEND_SELECTION

public static final String SELECT_LAST_EXTEND_SELECTION

See Also:
  - Constant Field Values

### TOGGLE

public static final String TOGGLE

See Also:
  - Constant Field Values

### CANCEL_EDITING

public static final String CANCEL_EDITING

See Also:
  - Constant Field Values

### START_EDITING

public static final String START_EDITING

See Also:
  - Constant Field Values

### SELECT_ALL

public static final String SELECT_ALL

See Also:
  - Constant Field Values

### CLEAR_SELECTION

public static final String CLEAR_SELECTION

See Also:
  - Constant Field Values

### SCROLL_LEFT

public static final String SCROLL_LEFT

See Also:
  - Constant Field Values

### SCROLL_RIGHT

public static final String SCROLL_RIGHT

See Also:
  - Constant Field Values

### SCROLL_LEFT_EXTEND_SELECTION

public static final String SCROLL_LEFT_EXTEND_SELECTION

See Also:
  - Constant Field Values

### SCROLL_RIGHT_EXTEND_SELECTION

public static final String SCROLL_RIGHT_EXTEND_SELECTION

See Also:
  - Constant Field Values

### SCROLL_RIGHT_CHANGE_LEAD

public static final String SCROLL_RIGHT_CHANGE_LEAD

See Also:
  - Constant Field Values

### SCROLL_LEFT_CHANGE_LEAD

public static final String SCROLL_LEFT_CHANGE_LEAD

See Also:
  - Constant Field Values

### EXPAND

public static final String EXPAND

See Also:
  - Constant Field Values

### COLLAPSE

public static final String COLLAPSE

See Also:
  - Constant Field Values

### MOVE_SELECTION_TO_PARENT

public static final String MOVE_SELECTION_TO_PARENT

See Also:
  - Constant Field Values

### ADD_TO_SELECTION

public static final String ADD_TO_SELECTION

See Also:
  - Constant Field Values

### TOGGLE_AND_ANCHOR

public static final String TOGGLE_AND_ANCHOR

See Also:
  - Constant Field Values

### EXTEND_TO

public static final String EXTEND_TO

See Also:
  - Constant Field Values

### MOVE_SELECTION_TO

public static final String MOVE_SELECTION_TO

See Also:
  - Constant Field Values

## Constructor Details

### TreeActions

protected TreeActions()